Additional operations
List deployments
List deployments
curl --request GET \
--url https://api.atlan.com/application/v1/deployments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/application/v1/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/application/v1/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"deployed_at": "<string>",
"environment": "<string>",
"service": "<string>",
"state": "in_progress",
"id": "<string>",
"workspace_id": "<string>",
"commit_sha": "<string>",
"deployed_by": "<string>",
"image_digest": "<string>",
"repo_id": "<string>",
"reported_by": "<string>",
"url": "<string>",
"version": "<string>"
}
],
"page": {
"limit": 1,
"offset": 1,
"total": 1
}
}{
"code": "invalid_id",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
in_progress, succeeded, failed, rolled_back Required range:
x >= 0Required range:
x >= 0⌘I
List deployments
curl --request GET \
--url https://api.atlan.com/application/v1/deployments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/application/v1/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/application/v1/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"deployed_at": "<string>",
"environment": "<string>",
"service": "<string>",
"state": "in_progress",
"id": "<string>",
"workspace_id": "<string>",
"commit_sha": "<string>",
"deployed_by": "<string>",
"image_digest": "<string>",
"repo_id": "<string>",
"reported_by": "<string>",
"url": "<string>",
"version": "<string>"
}
],
"page": {
"limit": 1,
"offset": 1,
"total": 1
}
}{
"code": "invalid_id",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}